Loading...
Searching...
No Matches
XrdOfsPrepGPIReal::PrepRequest Struct Reference
Collaboration diagram for XrdOfsPrepGPIReal::PrepRequest:

## Public Member Functions

| PrepRequest ()
| ~PrepRequest ()
const char * | Info (char *bP, int bL)

## Public Attributes

int | argCnt
std::vector< std::string > | argMem
const char * | argVec [argSZ]
int | envCnt
std::vector< std::string > | envMem
const char * | envVec [envSZ]
PrepRequest * | next
char * | reqID
const char * | reqName
const char * | tID

## Static Public Attributes

static const int | argSZ = 12
static const int | envSZ = 4
static PrepRequest * | First = 0
static PrepRequest * | Last = 0

## Detailed Description

Definition at line 93 of file XrdOfsPrepGPI.cc.

## Constructor & Destructor Documentation

## PrepRequest()

XrdOfsPrepGPIReal::PrepRequest::PrepRequest | ( |  | ) |

inline

Definition at line 119 of file XrdOfsPrepGPI.cc.

: next(0), argCnt(0), envCnt(0), reqID(0),
reqName("?"), tID("anon") {}
XrdOfsPrepGPIReal::PrepRequest::reqName
const char * reqName
Definition XrdOfsPrepGPI.cc:108
XrdOfsPrepGPIReal::PrepRequest::tID
const char * tID
Definition XrdOfsPrepGPI.cc:109
XrdOfsPrepGPIReal::PrepRequest::envCnt
int envCnt
Definition XrdOfsPrepGPI.cc:104
XrdOfsPrepGPIReal::PrepRequest::argCnt
int argCnt
Definition XrdOfsPrepGPI.cc:103
XrdOfsPrepGPIReal::PrepRequest::reqID
char * reqID
Definition XrdOfsPrepGPI.cc:107
XrdOfsPrepGPIReal::PrepRequest::next
PrepRequest * next
Definition XrdOfsPrepGPI.cc:94

References argCnt, envCnt, next, reqID, reqName, and tID.

## ~PrepRequest()

XrdOfsPrepGPIReal::PrepRequest::~PrepRequest | ( |  | ) |

inline

Definition at line 121 of file XrdOfsPrepGPI.cc.

{if (reqID) free(reqID);}

References reqID.

## Member Function Documentation

## Info()

const char * XrdOfsPrepGPIReal::PrepRequest::Info | ( | char * | bP,
|  | int | bL )

inline

Definition at line 114 of file XrdOfsPrepGPI.cc.

{snprintf(bP, bL, "%s %s %s", tID, reqName, reqID);
return bP;
}

References reqID, reqName, and tID.

Referenced by XrdOfsPrepGPIReal::PrepGRun::Run().

Here is the caller graph for this function:

## Member Data Documentation

## argCnt

int XrdOfsPrepGPIReal::PrepRequest::argCnt

Definition at line 103 of file XrdOfsPrepGPI.cc.

Referenced by PrepRequest(), and XrdOfsPrepGPIReal::PrepGRun::Run().

## argMem

std::vector<std::string> XrdOfsPrepGPIReal::PrepRequest::argMem

Definition at line 111 of file XrdOfsPrepGPI.cc.

Referenced by XrdOfsPrepGPIReal::PrepGPI::begin(), and XrdOfsPrepGPIReal::PrepGRun::Run().

## argSZ

const int XrdOfsPrepGPIReal::PrepRequest::argSZ = 12

static

Definition at line 100 of file XrdOfsPrepGPI.cc.

## argVec

const char* XrdOfsPrepGPIReal::PrepRequest::argVec[argSZ]

Definition at line 102 of file XrdOfsPrepGPI.cc.

## envCnt

int XrdOfsPrepGPIReal::PrepRequest::envCnt

Definition at line 104 of file XrdOfsPrepGPI.cc.

Referenced by PrepRequest().

## envMem

std::vector<std::string> XrdOfsPrepGPIReal::PrepRequest::envMem

Definition at line 112 of file XrdOfsPrepGPI.cc.

## envSZ

const int XrdOfsPrepGPIReal::PrepRequest::envSZ = 4

static

Definition at line 99 of file XrdOfsPrepGPI.cc.

## envVec

const char* XrdOfsPrepGPIReal::PrepRequest::envVec[envSZ]

Definition at line 105 of file XrdOfsPrepGPI.cc.

Referenced by XrdOfsPrepGPIReal::PrepGRun::Run().

## First

PrepRequest * XrdOfsPrepGPIReal::PrepRequest::First = 0

static

Definition at line 95 of file XrdOfsPrepGPI.cc.

Referenced by XrdOfsPrepGPIReal::PrepGRun::DoIt().

## Last

PrepRequest * XrdOfsPrepGPIReal::PrepRequest::Last = 0

static

Definition at line 96 of file XrdOfsPrepGPI.cc.

Referenced by XrdOfsPrepGPIReal::PrepGRun::DoIt().

## next

PrepRequest* XrdOfsPrepGPIReal::PrepRequest::next

Definition at line 94 of file XrdOfsPrepGPI.cc.

Referenced by PrepRequest().

## reqID

char* XrdOfsPrepGPIReal::PrepRequest::reqID

Definition at line 107 of file XrdOfsPrepGPI.cc.

Referenced by PrepRequest(), ~PrepRequest(), Info(), XrdOfsPrepGPIReal::PrepGPI::query(), and XrdOfsPrepGPIReal::PrepGRun::Run().

## reqName

const char* XrdOfsPrepGPIReal::PrepRequest::reqName

Definition at line 108 of file XrdOfsPrepGPI.cc.

Referenced by PrepRequest(), Info(), and XrdOfsPrepGPIReal::PrepGRun::Run().

## tID

const char* XrdOfsPrepGPIReal::PrepRequest::tID

Definition at line 109 of file XrdOfsPrepGPI.cc.

Referenced by PrepRequest(), Info(), and XrdOfsPrepGPIReal::PrepGRun::Run().

The documentation for this struct was generated from the following file:

- XrdOfsPrepGPI.cc